Subject: Re: [Isis-wg] two drafts

From: [email-masked]
Date: Thu, 4 Mar 2010 17:05:34 +0800

I did not see the mail I posted to [email-masked] using foxmail. Sent it out again using web mail. Sorry for the possible duplication.
///////////////////////////////

Hi, James,
 
RFC3719 was published in Feb. 2004.  The flapping problem occurred in China Mobile's network in 2007 and 2008. Three/four years after the publication of RFC3719.
In fact, draft-li-isis-error-lsp-processing emphasizes some details that were not mentioned or not clearly mentioned in RFC3719. We observed those problems in our multi-vendor network environment.

For draft-wei-isis-tlv, yes, I agree with you. What you said is a solution. But I am not sure it is easier or not. It is easier to ISIS protocol. Is it easier to the network management system?  I mentioned in draft-li-isis-error-lsp-processing, an IS receiving a corrupt LSP shall generate a corruptedLSPReceived circuit event and then discard the PDU. Unfortunately, I could not see the event from NMS.

--------------------------------------------------------------------------------

Zhenqiang Li
13911635816
Department of Network Technology
China Mobile Research Institute
2010-03-04

--------------------------------------------------------------------------------

发件人： Tsui James
发送时间： 2010-03-03 23:24:13
收件人： 李振强
抄送： isis-wg; [email-masked]; adrian.farrel; Li Lianyuan; Dan King
主题： Re: [Isis-wg] two drafts
 
for draft-li-isis-error-lsp-processing-02.tx : 

Your question does exist in the current network, but the root cause is that some vendors not fully in accordance with protocol.
So, i think it's unnecessary to submit such a draft and RFC 3719 is clearly enough to solve the problem.

for  draft-wei-isis-tlv-00.txt:

I think you mainly want to quickly locate the fault  source where the LSP is modified Illegally . Maybe caused by bit hopping.
But it is easier to add a log or warning or trap to locate the fault source.
Do you think so ? 

Best regards!
=============
James

在 2010年3月2日 上午11:29，李振强 <[email-masked]>写道：

Hello, ISIS experts,
 
I am Zhenqiang Li from China Mobile. The attachments are two drafts submitted by China Mobile. Comments and suggestions are welcomed. They will be modified according to your comments and submitted to the coming IETF meeting. I will try to ask the chairman to allocate a time slot for them to be discussed during the meeting.
 
Best Regards,

--------------------------------------------------------------------------------

Zhenqiang Li  Ph. D.
+86 13911635816
Department of Network Technology
China Mobile Research Institute
2010-03-02

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/isis-wg

-- 
========================
Best regards!

                               James.Tsui